---
name: akonadi
version: 24.05
summary: KDE Akonadi Server
description: KDE Akonadi server needed by KDE PIM applications
confinement: strict
grade: stable
base: core22
compression: lzo
architectures:
  - build-on: amd64
  # - build-on: arm64
  # - build-on: armhf
  # - build-on: ppc64el
slots:
    dbus-svc:
        interface: dbus
        bus: system
        name: org.freedesktop.Akonadi
    dbus-lock:
        interface: dbus
        bus: system
        name: org.freedesktop.Akonadi.Control.lock
    akonadi-slot:
        content: akonadi-all
        interface: content
        read:
        - "."
    akonadi:
        content: akonadi
        interface: content
        read:
        - "."
apps:
    akonadiserver:
        extensions:
        - kde-neon-6
        command: usr/bin/akonadiserver
        daemon: simple
        slots:
        - dbus-svc
        - dbus-lock
        command-chain:
        - snap/command-chain/desktop-launch6
environment:
    PERL5LIB: "$SNAP/usr/share/perl5"
    DICPATH: "$SNAP/usr/share/hunspell"
package-repositories:
-   type: apt
    components:
    - main
    suites:
    - jammy
    key-id: 444DABCF3667D0283F894EDDE6D4736255751E5D
    url: http://origin.archive.neon.kde.org/user
    key-server: keyserver.ubuntu.com
parts:
    mesa:
        after: []
        plugin: nil
        build-attributes:
        - no-patchelf
        build-packages: []
        stage-packages:
        - libgl1-mesa-dri
        - libglx-mesa0
        prime:
        - "-lib/udev"
        - "-usr/doc"
        - "-usr/doc-base"
        - "-usr/share/applications"
        - "-usr/share/apport"
        - "-usr/share/bug"
        - "-usr/share/doc"
        - "-usr/share/doc-base"
        - "-usr/share/icons"
        - "-usr/share/libdrm"
        - "-usr/share/libwacom"
        - "-usr/share/lintian"
        - "-usr/share/man"
        - "-usr/share/pkgconfig"
    akonadi:
        stage-packages:
        - mesa-utils-extra
        - freeglut3-dev
        - libglib2.0-0
        - gstreamer1.0-x
        - gstreamer1.0-plugins-base
        - gstreamer1.0-pulseaudio
        - gstreamer1.0-plugins-good
        - locales
        - libc-bin
        - gettext
        - libdrm-dev
        - mesa-va-drivers
        -   on amd64:
            - i965-va-driver
            - intel-media-va-driver
        stage-snaps:
        - akonadi-sdk/latest/edge
        stage:
        - -usr/lib/*/libdrm*
        - -usr/share/doc/libdrm*
        - "-usr/lib/*/libxml2.so.2.9.13"
        - "-usr/share/doc/libxml2/changelog.Debian.gz"
        plugin: nil
        override-prime: |
            set -eux
            craftctl default
            cd $CRAFT_PRIME
            find . -type f,l -name "*.h" -exec bash -c "rm -f {}*" \;
